/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

import { ApiTokenTypes } from '../constants';

import { ApiToken } from '../types';

import { apiTokenSort } from '.';

describe('apiTokenSort', () => {
  const apiToken: ApiToken = {
    name: '',
    type: ApiTokenTypes.Private,
    read: true,
    write: true,
    access_all_engines: true,
    key: 'abc-1234',
  };

  it('sorts items by id', () => {
    const apiTokens = [
      {
        ...apiToken,
        id: 2,
      },
      {
        ...apiToken,
        id: undefined,
      },
      {
        ...apiToken,
        id: 1,
      },
    ];

    expect(apiTokens.sort(apiTokenSort).map((t) => t.id)).toEqual([undefined, 1, 2]);
  });
});
