/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

import { i18n } from '@kbn/i18n';

export const ALL_DAYS_LABEL = i18n.translate('xpack.enterpriseSearch.units.allDaysLabel', {
  defaultMessage: 'All days',
});

export const MINUTES_UNIT_LABEL = i18n.translate('xpack.enterpriseSearch.units.minutesLabel', {
  defaultMessage: 'Minutes',
});

export const HOURS_UNIT_LABEL = i18n.translate('xpack.enterpriseSearch.units.hoursLabel', {
  defaultMessage: 'Hours',
});

export const DAYS_UNIT_LABEL = i18n.translate('xpack.enterpriseSearch.units.daysLabel', {
  defaultMessage: 'Days',
});

export const WEEKS_UNIT_LABEL = i18n.translate('xpack.enterpriseSearch.units.weeksLabel', {
  defaultMessage: 'Weeks',
});

export const MONTHS_UNIT_LABEL = i18n.translate('xpack.enterpriseSearch.units.monthsLabel', {
  defaultMessage: 'Months',
});

export const DAYS_OF_WEEK_LABELS = {
  SUNDAY: i18n.translate('xpack.enterpriseSearch.units.daysOfWeekLabel.sunday', {
    defaultMessage: 'Sunday',
  }),
  MONDAY: i18n.translate('xpack.enterpriseSearch.units.daysOfWeekLabel.monday', {
    defaultMessage: 'Monday',
  }),
  TUESDAY: i18n.translate('xpack.enterpriseSearch.units.daysOfWeekLabel.tuesday', {
    defaultMessage: 'Tuesday',
  }),
  WEDNESDAY: i18n.translate('xpack.enterpriseSearch.units.daysOfWeekLabel.wednesday', {
    defaultMessage: 'Wednesday',
  }),
  THURSDAY: i18n.translate('xpack.enterpriseSearch.units.daysOfWeekLabel.thursday', {
    defaultMessage: 'Thursday',
  }),
  FRIDAY: i18n.translate('xpack.enterpriseSearch.units.daysOfWeekLabel.friday', {
    defaultMessage: 'Friday',
  }),
  SATURDAY: i18n.translate('xpack.enterpriseSearch.units.daysOfWeekLabel.saturday', {
    defaultMessage: 'Saturday',
  }),
};
