/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

import { i18n } from '@kbn/i18n';

export const LEAVE_UNASSIGNED_FIELD = '';

export const SUCCESS_MESSAGE = i18n.translate(
  'xpack.enterpriseSearch.workplaceSearch.contentSources.displaySettings.success.message',
  {
    defaultMessage: 'Display Settings have been successfuly updated.',
  }
);

export const UNSAVED_MESSAGE = i18n.translate(
  'xpack.enterpriseSearch.workplaceSearch.contentSources.displaySettings.unsaved.message',
  {
    defaultMessage: 'Your display settings have not been saved. Are you sure you want to leave?',
  }
);

export const DISPLAY_SETTINGS_TITLE = i18n.translate(
  'xpack.enterpriseSearch.workplaceSearch.contentSources.displaySettings.displaySettings.title',
  {
    defaultMessage: 'Display Settings',
  }
);

export const DISPLAY_SETTINGS_DESCRIPTION = i18n.translate(
  'xpack.enterpriseSearch.workplaceSearch.contentSources.displaySettings.displaySettings.description',
  {
    defaultMessage:
      'Customize the content and appearance of your Custom API Source search results.',
  }
);

export const DISPLAY_SETTINGS_EMPTY_TITLE = i18n.translate(
  'xpack.enterpriseSearch.workplaceSearch.contentSources.displaySettings.displaySettingsEmpty.title',
  {
    defaultMessage: 'You have no content yet',
  }
);

export const DISPLAY_SETTINGS_EMPTY_BODY = i18n.translate(
  'xpack.enterpriseSearch.workplaceSearch.contentSources.displaySettings.displaySettingsEmpty.body',
  {
    defaultMessage: 'You need some content to display in order to configure the display settings.',
  }
);

export const SEARCH_RESULTS_LABEL = i18n.translate(
  'xpack.enterpriseSearch.workplaceSearch.contentSources.displaySettings.searchResults.label',
  {
    defaultMessage: 'Search Results',
  }
);

export const RESULT_DETAIL_LABEL = i18n.translate(
  'xpack.enterpriseSearch.workplaceSearch.contentSources.displaySettings.resultDetail.label',
  {
    defaultMessage: 'Result Detail',
  }
);

export const SUBTITLE_LABEL = i18n.translate(
  'xpack.enterpriseSearch.workplaceSearch.contentSources.displaySettings.subtitle.label',
  {
    defaultMessage: 'Subtitle',
  }
);

export const TITLE_LABEL = i18n.translate(
  'xpack.enterpriseSearch.workplaceSearch.contentSources.displaySettings.title.label',
  {
    defaultMessage: 'Title',
  }
);

export const URL_LABEL = i18n.translate(
  'xpack.enterpriseSearch.workplaceSearch.contentSources.displaySettings.url.label',
  {
    defaultMessage: 'URL',
  }
);

export const COLOR_LABEL = i18n.translate(
  'xpack.enterpriseSearch.workplaceSearch.contentSources.displaySettings.color.label',
  {
    defaultMessage: 'Color',
  }
);

export const TYPE_LABEL = i18n.translate(
  'xpack.enterpriseSearch.workplaceSearch.contentSources.displaySettings.type.label',
  {
    defaultMessage: 'Type',
  }
);

export const MEDIA_TYPE_LABEL = i18n.translate(
  'xpack.enterpriseSearch.workplaceSearch.contentSources.displaySettings.mediaType.label',
  {
    defaultMessage: 'Media Type',
  }
);

export const CREATED_BY_LABEL = i18n.translate(
  'xpack.enterpriseSearch.workplaceSearch.contentSources.displaySettings.createdBy.label',
  {
    defaultMessage: 'Created By',
  }
);

export const UPDATED_BY_LABEL = i18n.translate(
  'xpack.enterpriseSearch.workplaceSearch.contentSources.displaySettings.updatedBy.label',
  {
    defaultMessage: 'Updated By',
  }
);

export const OPTIONAL_AREA_TEXT = i18n.translate(
  'xpack.enterpriseSearch.workplaceSearch.contentSources.displaySettings.optionalArea.text',
  {
    defaultMessage: 'This area is optional',
  }
);

export const EMPTY_FIELDS_DESCRIPTION = i18n.translate(
  'xpack.enterpriseSearch.workplaceSearch.contentSources.displaySettings.emptyFields.description',
  {
    defaultMessage: 'Add fields and move them into the order you want them to appear.',
  }
);

export const VISIBLE_FIELDS_TITLE = i18n.translate(
  'xpack.enterpriseSearch.workplaceSearch.contentSources.displaySettings.visibleFields.title',
  {
    defaultMessage: 'Visible fields',
  }
);

export const PREVIEW_TITLE = i18n.translate(
  'xpack.enterpriseSearch.workplaceSearch.contentSources.displaySettings.preview.title',
  {
    defaultMessage: 'Preview',
  }
);

export const SEARCH_RESULTS_TITLE = i18n.translate(
  'xpack.enterpriseSearch.workplaceSearch.contentSources.displaySettings.searchResults.title',
  {
    defaultMessage: 'Search Results settings',
  }
);

export const FEATURED_RESULTS_TITLE = i18n.translate(
  'xpack.enterpriseSearch.workplaceSearch.contentSources.displaySettings.featuredResults.title',
  {
    defaultMessage: 'Featured Results',
  }
);

export const FEATURED_RESULTS_DESCRIPTION = i18n.translate(
  'xpack.enterpriseSearch.workplaceSearch.contentSources.displaySettings.featuredResults.description',
  {
    defaultMessage: 'A matching document will appear as a single bold card.',
  }
);

export const STANDARD_RESULTS_TITLE = i18n.translate(
  'xpack.enterpriseSearch.workplaceSearch.contentSources.displaySettings.standardResults.title',
  {
    defaultMessage: 'Standard Results',
  }
);

export const STANDARD_RESULTS_DESCRIPTION = i18n.translate(
  'xpack.enterpriseSearch.workplaceSearch.contentSources.displaySettings.standardResults.description',
  {
    defaultMessage: 'Somewhat matching documents will appear as a set.',
  }
);

export const SEARCH_RESULTS_ROW_HELP_TEXT = i18n.translate(
  'xpack.enterpriseSearch.workplaceSearch.contentSources.displaySettings.searchResultsRow.helpText',
  {
    defaultMessage: 'This area is optional',
  }
);
