/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

import { i18n } from '@kbn/i18n';

export const SOURCES_NO_CONTENT_TITLE = i18n.translate(
  'xpack.enterpriseSearch.workplaceSearch.sources.noContent.title',
  {
    defaultMessage: 'No content yet',
  }
);

export const CONTENT_SUMMARY_TITLE = i18n.translate(
  'xpack.enterpriseSearch.workplaceSearch.sources.contentSummary.title',
  {
    defaultMessage: 'Content summary',
  }
);

export const CONTENT_SUMMARY_LOADING_TEXT = i18n.translate(
  'xpack.enterpriseSearch.workplaceSearch.sources.contentSummaryLoading.text',
  {
    defaultMessage: 'Loading summary details...',
  }
);

export const CONTENT_TYPE_HEADER = i18n.translate(
  'xpack.enterpriseSearch.workplaceSearch.sources.contentType.header',
  {
    defaultMessage: 'Content type',
  }
);

export const ITEMS_HEADER = i18n.translate(
  'xpack.enterpriseSearch.workplaceSearch.sources.items.header',
  {
    defaultMessage: 'Items',
  }
);

export const EVENT_HEADER = i18n.translate(
  'xpack.enterpriseSearch.workplaceSearch.sources.event.header',
  {
    defaultMessage: 'Event',
  }
);

export const STATUS_HEADER = i18n.translate(
  'xpack.enterpriseSearch.workplaceSearch.sources.status.header',
  {
    defaultMessage: 'Status',
  }
);

export const TIME_HEADER = i18n.translate(
  'xpack.enterpriseSearch.workplaceSearch.sources.time.header',
  {
    defaultMessage: 'Time',
  }
);

export const TOTAL_DOCUMENTS_LABEL = i18n.translate(
  'xpack.enterpriseSearch.workplaceSearch.sources.totalDocuments.label',
  {
    defaultMessage: 'Total documents',
  }
);

export const EMPTY_ACTIVITY_TITLE = i18n.translate(
  'xpack.enterpriseSearch.workplaceSearch.sources.emptyActivity.title',
  {
    defaultMessage: 'There is no recent activity',
  }
);

export const GROUP_ACCESS_TITLE = i18n.translate(
  'xpack.enterpriseSearch.workplaceSearch.sources.groupAccess.title',
  {
    defaultMessage: 'Group access',
  }
);

export const CONFIGURATION_TITLE = i18n.translate(
  'xpack.enterpriseSearch.workplaceSearch.sources.configuration.title',
  {
    defaultMessage: 'Configuration',
  }
);

export const DOCUMENT_PERMISSIONS_TITLE = i18n.translate(
  'xpack.enterpriseSearch.workplaceSearch.sources.documentPermissions.title',
  {
    defaultMessage: 'Document-level permissions',
  }
);

export const DOCUMENT_PERMISSIONS_TEXT = i18n.translate(
  'xpack.enterpriseSearch.workplaceSearch.sources.documentPermissions.text',
  {
    defaultMessage: 'Using document-level permissions',
  }
);

export const DOCUMENT_PERMISSIONS_DISABLED_TEXT = i18n.translate(
  'xpack.enterpriseSearch.workplaceSearch.sources.documentPermissionsDisabled.text',
  {
    defaultMessage: 'Disabled for this source',
  }
);

export const LEARN_MORE_LINK = i18n.translate(
  'xpack.enterpriseSearch.workplaceSearch.sources.learnMore.link',
  {
    defaultMessage: 'Learn more',
  }
);

export const STATUS_HEADING = i18n.translate(
  'xpack.enterpriseSearch.workplaceSearch.sources.status.heading',
  {
    defaultMessage: 'Everything looks good',
  }
);

export const STATUS_TEXT = i18n.translate(
  'xpack.enterpriseSearch.workplaceSearch.sources.status.text',
  {
    defaultMessage: 'Your endpoints are ready to accept requests.',
  }
);

export const ADDITIONAL_CONFIG_HEADING = i18n.translate(
  'xpack.enterpriseSearch.workplaceSearch.sources.additionalConfig.heading',
  {
    defaultMessage: 'Requires additional configuration',
  }
);

export const EXTERNAL_IDENTITIES_LINK = i18n.translate(
  'xpack.enterpriseSearch.workplaceSearch.sources.externalIdentities.link',
  {
    defaultMessage: 'External Identities API',
  }
);

export const ID_LABEL = i18n.translate('xpack.enterpriseSearch.workplaceSearch.sources.id.label', {
  defaultMessage: 'Source Identifier',
});

export const LEARN_CUSTOM_FEATURES_BUTTON = i18n.translate(
  'xpack.enterpriseSearch.workplaceSearch.sources.learnCustom.features.button',
  {
    defaultMessage: 'Learn about Platinum features',
  }
);

export const DOC_PERMISSIONS_DESCRIPTION = i18n.translate(
  'xpack.enterpriseSearch.workplaceSearch.sources.docPermissions.description',
  {
    defaultMessage:
      'Document-level permissions manage content access on individual or group attributes. Allow or deny access to specific documents.',
  }
);

export const CUSTOM_CALLOUT_TITLE = i18n.translate(
  'xpack.enterpriseSearch.workplaceSearch.sources.customCallout.title',
  {
    defaultMessage: 'Getting started with custom sources?',
  }
);

export const NO_CONTENT_MESSAGE = i18n.translate(
  'xpack.enterpriseSearch.workplaceSearch.sources.noContentEmpty.message',
  {
    defaultMessage: "This source doesn't have any content yet",
  }
);

export const CUSTOM_DOCUMENTATION_LINK = i18n.translate(
  'xpack.enterpriseSearch.workplaceSearch.sources.customSourceDocs.link',
  {
    defaultMessage: 'documentation',
  }
);

export const TITLE_HEADING = i18n.translate(
  'xpack.enterpriseSearch.workplaceSearch.contentSources.displaySettings.title.heading',
  {
    defaultMessage: 'Title',
  }
);

export const LAST_UPDATED_HEADING = i18n.translate(
  'xpack.enterpriseSearch.workplaceSearch.contentSources.displaySettings.lastUpdated.heading',
  {
    defaultMessage: 'Last updated',
  }
);

export const GO_BUTTON = i18n.translate(
  'xpack.enterpriseSearch.workplaceSearch.contentSources.displaySettings.go.button',
  {
    defaultMessage: 'Go',
  }
);

export const RESET_BUTTON = i18n.translate(
  'xpack.enterpriseSearch.workplaceSearch.contentSources.displaySettings.reset.button',
  {
    defaultMessage: 'Reset',
  }
);

export const SOURCE_CONTENT_TITLE = i18n.translate(
  'xpack.enterpriseSearch.workplaceSearch.sources.sourceContent.title',
  {
    defaultMessage: 'Source content',
  }
);

export const SEARCH_CONTENT_PLACEHOLDER = i18n.translate(
  'xpack.enterpriseSearch.workplaceSearch.sources.sourceContent.searchBar.search.placeholder',
  {
    defaultMessage: 'Search content...',
  }
);

export const FILTER_CONTENT_PLACEHOLDER = i18n.translate(
  'xpack.enterpriseSearch.workplaceSearch.sources.sourceContent.searchBar.filter.placeholder',
  {
    defaultMessage: 'Filter content...',
  }
);

export const CONTENT_LOADING_TEXT = i18n.translate(
  'xpack.enterpriseSearch.workplaceSearch.sources.contentLoading.text',
  {
    defaultMessage: 'Loading content...',
  }
);

export const REMOTE_SOURCE_LABEL = i18n.translate(
  'xpack.enterpriseSearch.workplaceSearch.sources.remoteSource.label',
  {
    defaultMessage: 'Remote source',
  }
);

export const CREATED_LABEL = i18n.translate(
  'xpack.enterpriseSearch.workplaceSearch.sources.created.label',
  {
    defaultMessage: 'Created: ',
  }
);

export const STATUS_LABEL = i18n.translate(
  'xpack.enterpriseSearch.workplaceSearch.sources.status.label',
  {
    defaultMessage: 'Status: ',
  }
);

export const READY_TEXT = i18n.translate(
  'xpack.enterpriseSearch.workplaceSearch.sources.ready.text',
  {
    defaultMessage: 'Ready to search',
  }
);

export const SOURCE_SETTINGS_HEADING = i18n.translate(
  'xpack.enterpriseSearch.workplaceSearch.sources.settings.heading',
  {
    defaultMessage: 'Settings',
  }
);

export const SOURCE_SETTINGS_TITLE = i18n.translate(
  'xpack.enterpriseSearch.workplaceSearch.sources.settings.title',
  {
    defaultMessage: 'Content source name',
  }
);

export const SOURCE_SETTINGS_DESCRIPTION = i18n.translate(
  'xpack.enterpriseSearch.workplaceSearch.sources.settings.description',
  {
    defaultMessage: 'Customize the name of this content source.',
  }
);

export const SOURCE_CONFIG_TITLE = i18n.translate(
  'xpack.enterpriseSearch.workplaceSearch.sources.config.title',
  {
    defaultMessage: 'Content source configuration',
  }
);

export const SYNC_MANAGEMENT_SYNCHRONIZE_LABEL = i18n.translate(
  'xpack.enterpriseSearch.workplaceSearch.contentSources.syncManagementSynchronizeLabel',
  {
    defaultMessage: 'Synchronize this source',
  }
);

export const SYNC_MANAGEMENT_THUMBNAILS_LABEL = i18n.translate(
  'xpack.enterpriseSearch.workplaceSearch.contentSources.syncManagementThumbnailsLabel',
  {
    defaultMessage: 'Sync thumbnails',
  }
);

export const SYNC_MANAGEMENT_THUMBNAILS_GLOBAL_CONFIG_LABEL = i18n.translate(
  'xpack.enterpriseSearch.workplaceSearch.contentSources.syncManagementGlobalConfigLabel',
  {
    defaultMessage: 'Sync thumbnails - disabled at global configuration level',
  }
);

export const SYNC_MANAGEMENT_CONTENT_EXTRACTION_LABEL = i18n.translate(
  'xpack.enterpriseSearch.workplaceSearch.contentSources.syncManagementContentExtractionLabel',
  {
    defaultMessage: 'Sync full-text from files',
  }
);

export const SOURCE_CONFIG_LINK = i18n.translate(
  'xpack.enterpriseSearch.workplaceSearch.sources.config.link',
  {
    defaultMessage: 'Edit connector settings',
  }
);

export const SOURCE_REMOVE_TITLE = i18n.translate(
  'xpack.enterpriseSearch.workplaceSearch.sources.remove.title',
  {
    defaultMessage: 'Remove this content source',
  }
);

export const SOURCE_REMOVE_DESCRIPTION = i18n.translate(
  'xpack.enterpriseSearch.workplaceSearch.sources.remove.description',
  {
    defaultMessage: 'This action cannot be undone.',
  }
);

export const SYNC_DIAGNOSTICS_TITLE = i18n.translate(
  'xpack.enterpriseSearch.workplaceSearch.sources.syncDiagnosticsTitle',
  {
    defaultMessage: 'Sync Diagnostics',
  }
);

export const SYNC_DIAGNOSTICS_DESCRIPTION = i18n.translate(
  'xpack.enterpriseSearch.workplaceSearch.sources.syncDiagnosticsDescription',
  {
    defaultMessage:
      'Retrieve relevant diagnostics data for troubleshooting active synchronization processes.',
  }
);

export const SYNC_DIAGNOSTICS_BUTTON = i18n.translate(
  'xpack.enterpriseSearch.workplaceSearch.sources.syncDiagnosticsButton',
  {
    defaultMessage: 'Download diagnostics data',
  }
);

export const DOWNLOAD_DIAGNOSTIC_BUTTON = i18n.translate(
  'xpack.enterpriseSearch.workplaceSearch.sources.downloadDiagnosticButton',
  {
    defaultMessage: 'Download diagnostic bundle',
  }
);

export const SOURCE_NAME_LABEL = i18n.translate(
  'xpack.enterpriseSearch.workplaceSearch.sources.sourceName.label',
  {
    defaultMessage: 'Source name',
  }
);

export const ORG_SOURCES_LINK = i18n.translate(
  'xpack.enterpriseSearch.workplaceSearch.sources.org.link',
  {
    defaultMessage: 'Add an organization content source',
  }
);

export const ORG_SOURCES_HEADER_TITLE = i18n.translate(
  'xpack.enterpriseSearch.workplaceSearch.sources.org.title',
  {
    defaultMessage: 'Organization sources',
  }
);

export const ORG_SOURCES_HEADER_DESCRIPTION = i18n.translate(
  'xpack.enterpriseSearch.workplaceSearch.sources.org.description',
  {
    defaultMessage:
      'Organization sources are available to the entire organization and can be assigned to specific user groups.',
  }
);

export const PRIVATE_LINK_TITLE = i18n.translate(
  'xpack.enterpriseSearch.workplaceSearch.sources.private.link',
  {
    defaultMessage: 'Add a private content source',
  }
);

export const PRIVATE_HEADER_TITLE = i18n.translate(
  'xpack.enterpriseSearch.workplaceSearch.sources.private.header.title',
  {
    defaultMessage: 'My private content sources',
  }
);

export const PRIVATE_HEADER_DESCRIPTION = i18n.translate(
  'xpack.enterpriseSearch.workplaceSearch.sources.private.header.description',
  {
    defaultMessage: 'Private content sources are available only to you.',
  }
);

export const PRIVATE_ORG_SOURCES_TITLE = i18n.translate(
  'xpack.enterpriseSearch.workplaceSearch.sources.private.privateOrg.header.title',
  {
    defaultMessage: 'Organizational content sources',
  }
);

export const PRIVATE_EMPTY_TITLE = i18n.translate(
  'xpack.enterpriseSearch.workplaceSearch.sources.private.empty.title',
  {
    defaultMessage: 'You have no private sources',
  }
);
export const ORG_SOURCES_EMPTY_TITLE = i18n.translate(
  'xpack.enterpriseSearch.workplaceSearch.sources.org.empty.title',
  {
    defaultMessage: 'No content source available',
  }
);

export const ORG_SOURCES_EMPTY_DESCRIPTION = i18n.translate(
  'xpack.enterpriseSearch.workplaceSearch.sources.org.empty.description',
  {
    defaultMessage:
      'Once content sources are shared with you, they will be displayed here, and available via the search experience.',
  }
);

export const LICENSE_CALLOUT_TITLE = i18n.translate(
  'xpack.enterpriseSearch.workplaceSearch.sources.licenseCallout.title',
  {
    defaultMessage: 'Private Sources are no longer available',
  }
);

export const LICENSE_CALLOUT_DESCRIPTION = i18n.translate(
  'xpack.enterpriseSearch.workplaceSearch.sources.licenseCallout.description',
  {
    defaultMessage: 'Contact your search experience administrator for more information.',
  }
);

export const SOURCE_DISABLED_CALLOUT_TITLE = i18n.translate(
  'xpack.enterpriseSearch.workplaceSearch.sources.sourceDisabled.title',
  {
    defaultMessage: 'Content source is disabled',
  }
);

export const SOURCE_DISABLED_CALLOUT_DESCRIPTION = i18n.translate(
  'xpack.enterpriseSearch.workplaceSearch.sources.sourceDisabled.description',
  {
    defaultMessage:
      'Your organization’s license level has changed. Your data is safe, but document-level permissions are no longer supported and searching of this source has been disabled. Upgrade to a Platinum license to re-enable this source.',
  }
);

export const SOURCE_DISABLED_CALLOUT_BUTTON = i18n.translate(
  'xpack.enterpriseSearch.workplaceSearch.sources.sourceDisabled.button',
  {
    defaultMessage: 'Explore Platinum license',
  }
);

export const DOCUMENT_PERMISSIONS_LINK = i18n.translate(
  'xpack.enterpriseSearch.workplaceSearch.sources.documentPermissionsLink',
  {
    defaultMessage: 'Learn more about document-level permission configuration',
  }
);

export const UNDERSTAND_BUTTON = i18n.translate(
  'xpack.enterpriseSearch.workplaceSearch.sources.understandButton',
  {
    defaultMessage: 'I understand',
  }
);

export const PERSONAL_DASHBOARD_READ_ONLY_MODE_WARNING = i18n.translate(
  'xpack.enterpriseSearch.workplaceSearch.personalDashboard.readOnlyMode.warning',
  {
    defaultMessage:
      'Workplace Search is currently available for search only, due to regular maintenance. Contact your system administrator for more information.',
  }
);

export const PERSONAL_DASHBOARD_SOURCE_ERROR = (error: string) =>
  i18n.translate('xpack.enterpriseSearch.workplaceSearch.personalDashboardSourceError', {
    defaultMessage:
      'Could not connect the source, reach out to your admin for help. Error message: {error}',
    values: { error },
  });

export const SOURCE_OVERVIEW_TITLE = i18n.translate(
  'xpack.enterpriseSearch.workplaceSearch.sources.sourceOverviewTitle',
  {
    defaultMessage: 'Source overview',
  }
);

export const SOURCE_SYNCHRONIZATION_DESCRIPTION = i18n.translate(
  'xpack.enterpriseSearch.workplaceSearch.sources.sourceSynchronizationDescription',
  {
    defaultMessage:
      'Enable or disable synchronization of data from this content source to Workplace Search.',
  }
);

export const SOURCE_FREQUENCY_DESCRIPTION = i18n.translate(
  'xpack.enterpriseSearch.workplaceSearch.sources.sourceFrequencyDescription',
  {
    defaultMessage:
      'Manage the frequency of data synchronization from Workplace search to this content source. Sync more frequently to ensure your data is up to date. Sync less frequently to reduce the burden on third party servers.',
  }
);

export const SOURCE_ASSETS_AND_OBJECTS_DESCRIPTION = i18n.translate(
  'xpack.enterpriseSearch.workplaceSearch.sources.sourceAssetsAndObjectsDescription',
  {
    defaultMessage:
      'Flexibly manage the documents to be synchronized and made available for search using granular controls below.',
  }
);

export const SOURCE_ASSETS_AND_OBJECTS_LEARN_MORE_LINK = i18n.translate(
  'xpack.enterpriseSearch.workplaceSearch.sources.sourceAssetsAndObjectsLearnMoreLink',
  {
    defaultMessage: 'Learn more about sync objects types.',
  }
);

export const SOURCE_ASSETS_AND_OBJECTS_ASSETS_LABEL = i18n.translate(
  'xpack.enterpriseSearch.workplaceSearch.sources.sourceAssetsAndObjectsAssetsLabel',
  { defaultMessage: 'Assets' }
);

export const SOURCE_ASSETS_AND_OBJECTS_OBJECTS_LABEL = i18n.translate(
  'xpack.enterpriseSearch.workplaceSearch.sources.sourceAssetsAndObjectsObjectsLabel',
  { defaultMessage: 'Objects' }
);

export const SOURCE_SYNCHRONIZATION_TOGGLE_LABEL = i18n.translate(
  'xpack.enterpriseSearch.workplaceSearch.sources.sourceSynchronizationToggleLabel',
  {
    defaultMessage: 'Synchronize this source',
  }
);

export const SOURCE_SYNCHRONIZATION_TOGGLE_DESCRIPTION = i18n.translate(
  'xpack.enterpriseSearch.workplaceSearch.sources.sourceSynchronizationToggleDescription',
  {
    defaultMessage: 'Source content will automatically be kept in sync.',
  }
);

export const SOURCE_SYNCHRONIZATION_FREQUENCY_TITLE = i18n.translate(
  'xpack.enterpriseSearch.workplaceSearch.sources.sourceSynchronizationFrequencyTitle',
  {
    defaultMessage: 'Synchronization frequency',
  }
);

export const SOURCE_SYNCHRONIZATION_TITLE = i18n.translate(
  'xpack.enterpriseSearch.workplaceSearch.sources.sourceSynchronizationTitle',
  {
    defaultMessage: 'Synchronization',
  }
);

export const SOURCE_SYNCHRONIZATION_BUTTON_LABEL = i18n.translate(
  'xpack.enterpriseSearch.workplaceSearch.sources.sourceSynchronizationButtonLabel',
  {
    defaultMessage: 'Synchronize content',
  }
);

export const SOURCE_SYNC_FREQUENCY_LINK_LABEL = i18n.translate(
  'xpack.enterpriseSearch.workplaceSearch.sources.sourceSyncFrequencyLinkLabel',
  {
    defaultMessage: 'sync frequency',
  }
);

export const SOURCE_BLOCKED_TIME_WINDOWS_LINK_LABEL = i18n.translate(
  'xpack.enterpriseSearch.workplaceSearch.sources.sourceBlockedTimeWindowsLinkLabel',
  {
    defaultMessage: 'blocked time windows',
  }
);

export const SOURCE_SYNC_CONFIRM_TITLE = i18n.translate(
  'xpack.enterpriseSearch.workplaceSearch.sources.sourceSyncConfirmTitle',
  {
    defaultMessage: 'Start new content sync?',
  }
);

export const SOURCE_SYNC_CONFIRM_MESSAGE = i18n.translate(
  'xpack.enterpriseSearch.workplaceSearch.sources.sourceSyncConfirmMessage',
  {
    defaultMessage:
      'Are you sure you would like to continue with this request and stop all other syncs?',
  }
);

export const SOURCE_SYNC_FREQUENCY_TITLE = i18n.translate(
  'xpack.enterpriseSearch.workplaceSearch.sources.sourceSyncFrequencyTitle',
  {
    defaultMessage: 'Sync frequency',
  }
);

export const BLOCKED_TIME_WINDOWS_TITLE = i18n.translate(
  'xpack.enterpriseSearch.workplaceSearch.sources.blockedWindowsTitle',
  {
    defaultMessage: 'Blocked time windows',
  }
);

export const SYNCHRONIZATION_DISABLED_TITLE = i18n.translate(
  'xpack.enterpriseSearch.workplaceSearch.sources.synchronizationDisabledTitle',
  {
    defaultMessage: 'Source synchronization is disabled.',
  }
);

export const SYNCHRONIZATION_DISABLED_DESCRIPTION = i18n.translate(
  'xpack.enterpriseSearch.workplaceSearch.sources.synchronizationDisabledDescription',
  {
    defaultMessage: 'Contact your administrator to enable synchronization controls.',
  }
);

export const FULL_SYNC_LABEL = i18n.translate(
  'xpack.enterpriseSearch.workplaceSearch.sources.fullSyncLabel',
  {
    defaultMessage: 'Full sync',
  }
);

export const FULL_SYNC_DESCRIPTION = i18n.translate(
  'xpack.enterpriseSearch.workplaceSearch.sources.fullSyncDescription',
  {
    defaultMessage: 'Retrieves all the documents possible from the content source',
  }
);

export const INCREMENTAL_SYNC_LABEL = i18n.translate(
  'xpack.enterpriseSearch.workplaceSearch.sources.incrementalSyncLabel',
  {
    defaultMessage: 'Incremental sync',
  }
);

export const INCREMENTAL_SYNC_DESCRIPTION = i18n.translate(
  'xpack.enterpriseSearch.workplaceSearch.sources.incrementalSyncDescription',
  {
    defaultMessage: 'Retrieves documents/updates since the last sync job',
  }
);

export const DELETION_SYNC_LABEL = i18n.translate(
  'xpack.enterpriseSearch.workplaceSearch.sources.deletionSyncLabel',
  {
    defaultMessage: 'Deletion sync',
  }
);

export const DELETION_SYNC_DESCRIPTION = i18n.translate(
  'xpack.enterpriseSearch.workplaceSearch.sources.deletionSyncDescription',
  {
    defaultMessage: 'Removes documents that no longer exist in the content source',
  }
);

export const PERMISSIONS_SYNC_LABEL = i18n.translate(
  'xpack.enterpriseSearch.workplaceSearch.sources.permissionsSyncLabel',
  {
    defaultMessage: 'Permissions sync',
  }
);

export const PERMISSIONS_SYNC_DESCRIPTION = i18n.translate(
  'xpack.enterpriseSearch.workplaceSearch.sources.permissionsSyncDescription',
  {
    defaultMessage: 'Retrieves all permission changes since the last sync job',
  }
);

export const BLOCKED_EMPTY_STATE_TITLE = i18n.translate(
  'xpack.enterpriseSearch.workplaceSearch.sources.blockedEmptyStateTitle',
  {
    defaultMessage: 'You have no blocked time windows',
  }
);

export const BLOCKED_EMPTY_STATE_DESCRIPTION = i18n.translate(
  'xpack.enterpriseSearch.workplaceSearch.sources.blockedEmptyStateDescription',
  {
    defaultMessage: 'Add a blocked time window to only perform syncs at the right time.',
  }
);

export const SYNC_SETTINGS_UPDATED_MESSAGE = i18n.translate(
  'xpack.enterpriseSearch.workplaceSearch.sources.syncSettingsUpdatedMessage',
  {
    defaultMessage: 'Source synchronization settings updated.',
  }
);

export const SYNC_UNSAVED_CHANGES_MESSAGE = i18n.translate(
  'xpack.enterpriseSearch.workplaceSearch.sources.syncUnsavedChangesMessage',
  {
    defaultMessage: 'Your changes have not been saved. Are you sure you want to leave?',
  }
);

export const NEXT_SYNC_RUNNING_MESSAGE = i18n.translate(
  'xpack.enterpriseSearch.workplaceSearch.sources.nextSyncRunningMessage',
  {
    defaultMessage: 'as soon as the currently running job finishes',
  }
);

export const UTC_TITLE = i18n.translate('xpack.enterpriseSearch.workplaceSearch.sources.utcTitle', {
  defaultMessage: 'All times are in UTC',
});
