/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

import { i18n } from '@kbn/i18n';

export const LOGO_TEXT = i18n.translate(
  'xpack.enterpriseSearch.workplaceSearch.settings.logoText',
  {
    defaultMessage: 'logo',
  }
);

export const ICON_TEXT = i18n.translate(
  'xpack.enterpriseSearch.workplaceSearch.settings.iconText',
  {
    defaultMessage: 'icon',
  }
);

export const RESET_IMAGE_TITLE = i18n.translate(
  'xpack.enterpriseSearch.workplaceSearch.settings.resetImageTitle',
  {
    defaultMessage: 'Reset to default branding',
  }
);

export const RESET_LOGO_DESCRIPTION = i18n.translate(
  'xpack.enterpriseSearch.workplaceSearch.settings.resetLogoDescription',
  {
    defaultMessage: "You're about to reset the logo to the default Workplace Search branding.",
  }
);

export const RESET_ICON_DESCRIPTION = i18n.translate(
  'xpack.enterpriseSearch.workplaceSearch.settings.resetIconDescription',
  {
    defaultMessage: "You're about to reset the icon to the default Workplace Search branding.",
  }
);

export const RESET_IMAGE_CONFIRMATION_TEXT = i18n.translate(
  'xpack.enterpriseSearch.workplaceSearch.settings.resetImageConfirmationText',
  {
    defaultMessage: 'Are you sure you want to do this?',
  }
);

export const ORGANIZATION_LABEL = i18n.translate(
  'xpack.enterpriseSearch.workplaceSearch.settings.organizationLabel',
  {
    defaultMessage: 'Organization',
  }
);

export const BRAND_TEXT = i18n.translate(
  'xpack.enterpriseSearch.workplaceSearch.settings.brandText',
  {
    defaultMessage: 'Brand',
  }
);

export const LOGO_DESCRIPTION = i18n.translate(
  'xpack.enterpriseSearch.workplaceSearch.settings.logoDescription',
  {
    defaultMessage: 'Used as the main visual branding element across prebuilt search applications',
  }
);

export const LOGO_HELP_TEXT = i18n.translate(
  'xpack.enterpriseSearch.workplaceSearch.settings.logoHelpText',
  {
    defaultMessage: 'Maximum file size is 2MB. Only PNG files are supported.',
  }
);

export const ICON_DESCRIPTION = i18n.translate(
  'xpack.enterpriseSearch.workplaceSearch.settings.iconDescription',
  {
    defaultMessage: 'Used as the branding element for smaller screen sizes and browser icons',
  }
);

export const ICON_HELP_TEXT = i18n.translate(
  'xpack.enterpriseSearch.workplaceSearch.settings.iconHelpText',
  {
    defaultMessage:
      'Maximum file size is 2MB and recommended aspect ratio is 1:1. Only PNG files are supported.',
  }
);
