/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

import { i18n } from '@kbn/i18n';

export const LEARN_MORE_LABEL: string = i18n.translate('xpack.serverlessSearch.learnMore', {
  defaultMessage: 'Learn more',
});

export const CANCEL_LABEL: string = i18n.translate('xpack.serverlessSearch.cancel', {
  defaultMessage: 'Cancel',
});

export const EDIT_LABEL: string = i18n.translate('xpack.serverlessSearch.edit', {
  defaultMessage: 'Edit',
});

export const SAVE_LABEL: string = i18n.translate('xpack.serverlessSearch.save', {
  defaultMessage: 'Save',
});

export const UPDATE_LABEL: string = i18n.translate('xpack.serverlessSearch.update', {
  defaultMessage: 'Update',
});

export const BACK_LABEL: string = i18n.translate('xpack.serverlessSearch.back', {
  defaultMessage: 'Back',
});

export const NEXT_LABEL: string = i18n.translate('xpack.serverlessSearch.next', {
  defaultMessage: 'Next',
});

export const REQUIRED_LABEL: string = i18n.translate('xpack.serverlessSearch.required', {
  defaultMessage: 'Required',
});

export const OPTIONAL_LABEL: string = i18n.translate('xpack.serverlessSearch.optional', {
  defaultMessage: 'Optional',
});

export const ENABLED_LABEL: string = i18n.translate('xpack.serverlessSearch.enabled', {
  defaultMessage: 'Enabled',
});

export const DISABLED_LABEL: string = i18n.translate('xpack.serverlessSearch.disabled', {
  defaultMessage: 'Disabled',
});

export const INVALID_JSON_ERROR: string = i18n.translate(
  'xpack.serverlessSearch.invalidJsonError',
  {
    defaultMessage: 'Invalid JSON',
  }
);

export const CONNECTORS_LABEL: string = i18n.translate('xpack.serverlessSearch.connectors', {
  defaultMessage: 'Connectors',
});
export const CONNECTOR_LABEL: string = i18n.translate('xpack.serverlessSearch.connector', {
  defaultMessage: 'Connector',
});

export const WEB_CRAWLERS_LABEL: string = i18n.translate(
  'xpack.serverlessSearch.webCrawlersLabel',
  {
    defaultMessage: 'Web crawlers',
  }
);

export const DELETE_CONNECTOR_LABEL = i18n.translate(
  'xpack.serverlessSearch.connectors.deleteConnectorLabel',
  {
    defaultMessage: 'Delete connector',
  }
);

export const COPY_CONNECTOR_ID_LABEL = i18n.translate(
  'xpack.serverlessSearch.connectors.copyConnectorIdLabel',
  {
    defaultMessage: 'Copy connector id',
  }
);

export const OVERVIEW_LABEL = i18n.translate('xpack.serverlessSearch.connectors.overviewLabel', {
  defaultMessage: 'Overview',
});

export const CONFIGURATION_LABEL = i18n.translate(
  'xpack.serverlessSearch.connectors.configurationLabel',
  {
    defaultMessage: 'Configuration',
  }
);
export const SCHEDULING_LABEL = i18n.translate(
  'xpack.serverlessSearch.connectors.schedulingLabel',
  {
    defaultMessage: 'Scheduling',
  }
);
